﻿unit Androidapi.JNI.androidx;

interface

uses
  Androidapi.JNIBridge, 
  Androidapi.JNI.JavaTypes, 
  Androidapi.JNI.GraphicsContentViewText, 
  Androidapi.JNI.Net;


type

// ===== Forward declarations =====

  JAnimatorRes = interface; //androidx.annotation.AnimatorRes
  JAnimRes = interface; //androidx.annotation.AnimRes
  JAnyRes = interface; //androidx.annotation.AnyRes
  JAnyThread = interface; //androidx.annotation.AnyThread
  JArrayRes = interface; //androidx.annotation.ArrayRes
  JAttrRes = interface; //androidx.annotation.AttrRes
  JBinderThread = interface; //androidx.annotation.BinderThread
  JBoolRes = interface; //androidx.annotation.BoolRes
  JCallSuper = interface; //androidx.annotation.CallSuper
  JCheckResult = interface; //androidx.annotation.CheckResult
  JColorInt = interface; //androidx.annotation.ColorInt
  JColorLong = interface; //androidx.annotation.ColorLong
  JColorRes = interface; //androidx.annotation.ColorRes
  JContentView = interface; //androidx.annotation.ContentView
  JDimenRes = interface; //androidx.annotation.DimenRes
  JDimension = interface; //androidx.annotation.Dimension
  JDrawableRes = interface; //androidx.annotation.DrawableRes
  JFloatRange = interface; //androidx.annotation.FloatRange
  JFontRes = interface; //androidx.annotation.FontRes
  JFractionRes = interface; //androidx.annotation.FractionRes
  JGuardedBy = interface; //androidx.annotation.GuardedBy
  JHalfFloat = interface; //androidx.annotation.HalfFloat
  JIdRes = interface; //androidx.annotation.IdRes
  JInspectableProperty_EnumEntry = interface; //androidx.annotation.InspectableProperty$EnumEntry
  JInspectableProperty_FlagEntry = interface; //androidx.annotation.InspectableProperty$FlagEntry
  JInspectableProperty_ValueType = interface; //androidx.annotation.InspectableProperty$ValueType
  JInspectableProperty = interface; //androidx.annotation.InspectableProperty
  JIntDef = interface; //androidx.annotation.IntDef
  JIntegerRes = interface; //androidx.annotation.IntegerRes
  JInterpolatorRes = interface; //androidx.annotation.InterpolatorRes
  JIntRange = interface; //androidx.annotation.IntRange
  JKeep = interface; //androidx.annotation.Keep
  JLayoutRes = interface; //androidx.annotation.LayoutRes
  JLongDef = interface; //androidx.annotation.LongDef
  JMainThread = interface; //androidx.annotation.MainThread
  JMenuRes = interface; //androidx.annotation.MenuRes
  JNavigationRes = interface; //androidx.annotation.NavigationRes
  JNonNull = interface; //androidx.annotation.NonNull
  JNullable = interface; //androidx.annotation.Nullable
  JPluralsRes = interface; //androidx.annotation.PluralsRes
//  JPx = interface; //androidx.annotation.Px
  JRawRes = interface; //androidx.annotation.RawRes
  JRequiresApi = interface; //androidx.annotation.RequiresApi
  JRequiresFeature = interface; //androidx.annotation.RequiresFeature
  JRequiresPermission_Read = interface; //androidx.annotation.RequiresPermission$Read
  JRequiresPermission_Write = interface; //androidx.annotation.RequiresPermission$Write
  JRequiresPermission = interface; //androidx.annotation.RequiresPermission
  JRestrictTo_Scope = interface; //androidx.annotation.RestrictTo$Scope
  JRestrictTo = interface; //androidx.annotation.RestrictTo
  JSize = interface; //androidx.annotation.Size
  JStringDef = interface; //androidx.annotation.StringDef
  JStringRes = interface; //androidx.annotation.StringRes
  JStyleableRes = interface; //androidx.annotation.StyleableRes
  JStyleRes = interface; //androidx.annotation.StyleRes
  JTransitionRes = interface; //androidx.annotation.TransitionRes
  JUiThread = interface; //androidx.annotation.UiThread
  JVisibleForTesting = interface; //androidx.annotation.VisibleForTesting
  JWorkerThread = interface; //androidx.annotation.WorkerThread
  JXmlRes = interface; //androidx.annotation.XmlRes
  JDocumentFile = interface; //androidx.documentfile.provider.DocumentFile
  JDocumentsContractApi19 = interface; //androidx.documentfile.provider.DocumentsContractApi19
  JRawDocumentFile = interface; //androidx.documentfile.provider.RawDocumentFile
  JSingleDocumentFile = interface; //androidx.documentfile.provider.SingleDocumentFile
  JTreeDocumentFile = interface; //androidx.documentfile.provider.TreeDocumentFile

// ===== Forward SuperClasses declarations =====

  JDocumentFileClass = interface; //androidx.documentfile.provider.DocumentFile

// ===== Interface declarations =====

  JAnimatorResClass = interface(JObjectClass)
  ['{EF18170B-BA82-47EF-A288-744B79535FA7}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/AnimatorRes')]
  JAnimatorRes = interface(IJavaInstance)
  ['{165C0388-3923-49BB-B500-55FA9E67AE34}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJAnimatorRes = class(TJavaGenericImport<JAnimatorResClass, JAnimatorRes>) end;

  JAnimResClass = interface(JObjectClass)
  ['{8306A0F0-A06A-4323-96BB-8512B3E6D7D8}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/AnimRes')]
  JAnimRes = interface(IJavaInstance)
  ['{6FAEE6C5-4B45-470B-B045-E98B882F1F56}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJAnimRes = class(TJavaGenericImport<JAnimResClass, JAnimRes>) end;

  JAnyResClass = interface(JObjectClass)
  ['{47337329-F1BF-4219-BE1F-72BFAEF74FDF}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/AnyRes')]
  JAnyRes = interface(IJavaInstance)
  ['{BC18602C-ECFC-4C15-84B2-64EF20418778}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJAnyRes = class(TJavaGenericImport<JAnyResClass, JAnyRes>) end;

  JAnyThreadClass = interface(JObjectClass)
  ['{A08258E7-836C-452A-A38C-2549C77A90BD}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/AnyThread')]
  JAnyThread = interface(IJavaInstance)
  ['{2E8F6876-9865-47E0-9D4D-4C798C1A5B50}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJAnyThread = class(TJavaGenericImport<JAnyThreadClass, JAnyThread>) end;

  JArrayResClass = interface(JObjectClass)
  ['{E61DB176-6733-42D9-91CE-B0530D4682EA}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/ArrayRes')]
  JArrayRes = interface(IJavaInstance)
  ['{B6893921-975E-4712-A09A-5FC6A52FCF50}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJArrayRes = class(TJavaGenericImport<JArrayResClass, JArrayRes>) end;

  JAttrResClass = interface(JObjectClass)
  ['{82582440-22A2-4C20-B18F-15EC36FC5AEF}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/AttrRes')]
  JAttrRes = interface(IJavaInstance)
  ['{33F514EE-BC24-44AD-8C31-0D14D97F7D8A}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJAttrRes = class(TJavaGenericImport<JAttrResClass, JAttrRes>) end;

  JBinderThreadClass = interface(JObjectClass)
  ['{42A1C7AB-A3E4-47CC-AD25-FAE5EBE2A361}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/BinderThread')]
  JBinderThread = interface(IJavaInstance)
  ['{05497394-A2F1-499C-9B3D-5D325B3E6E89}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJBinderThread = class(TJavaGenericImport<JBinderThreadClass, JBinderThread>) end;

  JBoolResClass = interface(JObjectClass)
  ['{411ADADD-F6E9-4BEA-BBA4-1B02CCC07BEA}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/BoolRes')]
  JBoolRes = interface(IJavaInstance)
  ['{4A5AB5AE-3714-4D96-87A1-19C2B66CD9D7}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJBoolRes = class(TJavaGenericImport<JBoolResClass, JBoolRes>) end;

  JCallSuperClass = interface(JObjectClass)
  ['{C265D240-84BD-42AD-A55E-18A6843DC3C7}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/CallSuper')]
  JCallSuper = interface(IJavaInstance)
  ['{F8882658-9FCD-43C9-80F7-B50881EECC67}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJCallSuper = class(TJavaGenericImport<JCallSuperClass, JCallSuper>) end;

  JCheckResultClass = interface(JObjectClass)
  ['{7DF9F7A8-286C-44C5-90C7-11B3F6F34CC7}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/CheckResult')]
  JCheckResult = interface(IJavaInstance)
  ['{D3F6E064-0FFB-4880-91CA-F937493A219C}']
    { Property Methods }

    { methods }
    function suggest: JString; cdecl; //()Ljava/lang/String;

    { Property }
  end;

  TJCheckResult = class(TJavaGenericImport<JCheckResultClass, JCheckResult>) end;

  JColorIntClass = interface(JObjectClass)
  ['{A5CC5106-65D2-44EC-AB48-5D3FF300287C}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/ColorInt')]
  JColorInt = interface(IJavaInstance)
  ['{33516639-35BD-48DE-B7C9-98383D1C3BD7}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJColorInt = class(TJavaGenericImport<JColorIntClass, JColorInt>) end;

  JColorLongClass = interface(JObjectClass)
  ['{E250E26A-DA1D-4A61-ADC4-89992482EF99}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/ColorLong')]
  JColorLong = interface(IJavaInstance)
  ['{A8F66FA5-34AD-4C1C-85ED-2255D385DC80}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJColorLong = class(TJavaGenericImport<JColorLongClass, JColorLong>) end;

  JColorResClass = interface(JObjectClass)
  ['{0832F9F7-E81B-4649-BED7-B0EAEE4C24D1}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/ColorRes')]
  JColorRes = interface(IJavaInstance)
  ['{18F9DB3D-9C01-4C4B-9133-487D57E98DC1}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJColorRes = class(TJavaGenericImport<JColorResClass, JColorRes>) end;

  JContentViewClass = interface(JObjectClass)
  ['{9E64F1F3-D608-4F87-9D12-19693D959DA5}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/ContentView')]
  JContentView = interface(IJavaInstance)
  ['{F71DF82F-3F2F-4848-878B-92663AFC91DB}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJContentView = class(TJavaGenericImport<JContentViewClass, JContentView>) end;

  JDimenResClass = interface(JObjectClass)
  ['{70AB303D-62EA-4834-A3A5-E52D057A3B04}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/DimenRes')]
  JDimenRes = interface(IJavaInstance)
  ['{B944067D-42E0-44EE-AFE3-B63097E844D7}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJDimenRes = class(TJavaGenericImport<JDimenResClass, JDimenRes>) end;

  JDimensionClass = interface(JObjectClass)
  ['{61EBEF5F-3672-44AF-9A45-EC0997249395}']
    { static Property Methods }
    {class} function _GetDP: Integer;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //I
    {class} function _GetPX: Integer;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //I
    {class} function _GetSP: Integer;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //I

    { static Methods }

    { static Property }
    {class} property DP: Integer read _GetDP;
    {class} property PX: Integer read _GetPX;
    {class} property SP: Integer read _GetSP;
  end;

  [JavaSignature('androidx/annotation/Dimension')]
  JDimension = interface(IJavaInstance)
  ['{A66FBF4D-A781-4555-8A53-AE584ADBD448}']
    { Property Methods }

    { methods }
    function &unit: Integer; cdecl; //()I

    { Property }
  end;

  TJDimension = class(TJavaGenericImport<JDimensionClass, JDimension>) end;

  JDrawableResClass = interface(JObjectClass)
  ['{EEC7A64D-8F5B-4135-8FFD-31552B2754BA}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/DrawableRes')]
  JDrawableRes = interface(IJavaInstance)
  ['{90DD7EBE-63AE-43BC-A620-6973C80C5DB8}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJDrawableRes = class(TJavaGenericImport<JDrawableResClass, JDrawableRes>) end;

  JFloatRangeClass = interface(JObjectClass)
  ['{AD2D4ED9-179E-4429-84A3-9F0E90B01E09}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/FloatRange')]
  JFloatRange = interface(IJavaInstance)
  ['{DDBBC18E-9788-491E-A36E-A2D2EE00824F}']
    { Property Methods }

    { methods }
    function from: Double; cdecl; //()D
    function &to: Double; cdecl; //()D
    function fromInclusive: Boolean; cdecl; //()Z
    function toInclusive: Boolean; cdecl; //()Z

    { Property }
  end;

  TJFloatRange = class(TJavaGenericImport<JFloatRangeClass, JFloatRange>) end;

  JFontResClass = interface(JObjectClass)
  ['{DE3CB24B-EFED-402E-A6BE-F0EE9814895E}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/FontRes')]
  JFontRes = interface(IJavaInstance)
  ['{2C1FB459-30D9-479D-BF41-0C8544E5B677}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJFontRes = class(TJavaGenericImport<JFontResClass, JFontRes>) end;

  JFractionResClass = interface(JObjectClass)
  ['{43095238-05EA-448D-AFC5-E34EA140898C}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/FractionRes')]
  JFractionRes = interface(IJavaInstance)
  ['{0B8ECC8C-FC8C-46A0-9F7C-A2B8357CE205}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJFractionRes = class(TJavaGenericImport<JFractionResClass, JFractionRes>) end;

  JGuardedByClass = interface(JObjectClass)
  ['{B92ADF97-5725-46D9-8D3E-44FC6CEEDB96}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/GuardedBy')]
  JGuardedBy = interface(IJavaInstance)
  ['{CF31DEFF-6118-482A-B567-D43FB0C8F070}']
    { Property Methods }

    { methods }
    function value: JString; cdecl; //()Ljava/lang/String;

    { Property }
  end;

  TJGuardedBy = class(TJavaGenericImport<JGuardedByClass, JGuardedBy>) end;

  JHalfFloatClass = interface(JObjectClass)
  ['{48D9D6B8-832E-495B-AAA7-6A36F26D1424}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/HalfFloat')]
  JHalfFloat = interface(IJavaInstance)
  ['{C99B88E9-59D9-4B75-82BF-A2B22D85142E}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJHalfFloat = class(TJavaGenericImport<JHalfFloatClass, JHalfFloat>) end;

  JIdResClass = interface(JObjectClass)
  ['{9AB0F4EF-16C0-4870-A6B7-FDBEB38013B0}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/IdRes')]
  JIdRes = interface(IJavaInstance)
  ['{24D68892-E990-456A-B005-7AA8C0494430}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJIdRes = class(TJavaGenericImport<JIdResClass, JIdRes>) end;

  JInspectableProperty_EnumEntryClass = interface(JObjectClass)
  ['{46607007-4C9C-4C46-9C21-E994BADF5629}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/InspectableProperty$EnumEntry')]
  JInspectableProperty_EnumEntry = interface(IJavaInstance)
  ['{F0089086-8E31-4A06-8728-AA8AEEC100D3}']
    { Property Methods }

    { methods }
    function name: JString; cdecl; //()Ljava/lang/String;
    function value: Integer; cdecl; //()I

    { Property }
  end;

  TJInspectableProperty_EnumEntry = class(TJavaGenericImport<JInspectableProperty_EnumEntryClass, JInspectableProperty_EnumEntry>) end;

  JInspectableProperty_FlagEntryClass = interface(JObjectClass)
  ['{360A6838-3B1A-4DC0-BD40-88298FCD784D}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/InspectableProperty$FlagEntry')]
  JInspectableProperty_FlagEntry = interface(IJavaInstance)
  ['{C0FADFC0-0256-4CA5-A0BC-BAEFAC4DFABB}']
    { Property Methods }

    { methods }
    function name: JString; cdecl; //()Ljava/lang/String;
    function target: Integer; cdecl; //()I
    function mask: Integer; cdecl; //()I

    { Property }
  end;

  TJInspectableProperty_FlagEntry = class(TJavaGenericImport<JInspectableProperty_FlagEntryClass, JInspectableProperty_FlagEntry>) end;

  JInspectableProperty_ValueTypeClass = interface(JEnumClass) // or JObjectClass // SuperSignature: java/lang/Enum
  ['{54F1044D-EDAF-4940-8E1C-21C5C1C9C72E}']
    { static Property Methods }
    {class} function _GetNONE: JInspectableProperty_ValueType;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/InspectableProperty$ValueType;
    {class} function _GetINFERRED: JInspectableProperty_ValueType;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/InspectableProperty$ValueType;
    {class} function _GetINT_ENUM: JInspectableProperty_ValueType;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/InspectableProperty$ValueType;
    {class} function _GetINT_FLAG: JInspectableProperty_ValueType;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/InspectableProperty$ValueType;
    {class} function _GetCOLOR: JInspectableProperty_ValueType;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/InspectableProperty$ValueType;
    {class} function _GetGRAVITY: JInspectableProperty_ValueType;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/InspectableProperty$ValueType;
    {class} function _GetRESOURCE_ID: JInspectableProperty_ValueType;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/InspectableProperty$ValueType;

    { static Methods }
    {class} function values: TJavaObjectArray<JInspectableProperty_ValueType>; cdecl; //()[Landroidx/annotation/InspectableProperty$ValueType;
    {class} function valueOf(name: JString): JInspectableProperty_ValueType; cdecl; //(Ljava/lang/String;)Landroidx/annotation/InspectableProperty$ValueType;

    { static Property }
    {class} property NONE: JInspectableProperty_ValueType read _GetNONE;
    {class} property INFERRED: JInspectableProperty_ValueType read _GetINFERRED;
    {class} property INT_ENUM: JInspectableProperty_ValueType read _GetINT_ENUM;
    {class} property INT_FLAG: JInspectableProperty_ValueType read _GetINT_FLAG;
    {class} property COLOR: JInspectableProperty_ValueType read _GetCOLOR;
    {class} property GRAVITY: JInspectableProperty_ValueType read _GetGRAVITY;
    {class} property RESOURCE_ID: JInspectableProperty_ValueType read _GetRESOURCE_ID;
  end;

  [JavaSignature('androidx/annotation/InspectableProperty$ValueType')]
  JInspectableProperty_ValueType = interface(JEnum) // or JObject // SuperSignature: java/lang/Enum
  ['{381460D7-2433-4CBA-8BBD-A5C94E985D33}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJInspectableProperty_ValueType = class(TJavaGenericImport<JInspectableProperty_ValueTypeClass, JInspectableProperty_ValueType>) end;

  JInspectablePropertyClass = interface(JObjectClass)
  ['{FEE7195E-C09A-4B93-898E-D22E13DFC8DF}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/InspectableProperty')]
  JInspectableProperty = interface(IJavaInstance)
  ['{9FEA5E90-0A93-4086-857D-5BBCDEC163C0}']
    { Property Methods }

    { methods }
    function name: JString; cdecl; //()Ljava/lang/String;
    function attributeId: Integer; cdecl; //()I
    function hasAttributeId: Boolean; cdecl; //()Z
    function valueType: JInspectableProperty_ValueType; cdecl; //()Landroidx/annotation/InspectableProperty$ValueType;
    function enumMapping: TJavaObjectArray<JInspectableProperty_EnumEntry>; cdecl; //()[Landroidx/annotation/InspectableProperty$EnumEntry;
    function flagMapping: TJavaObjectArray<JInspectableProperty_FlagEntry>; cdecl; //()[Landroidx/annotation/InspectableProperty$FlagEntry;

    { Property }
  end;

  TJInspectableProperty = class(TJavaGenericImport<JInspectablePropertyClass, JInspectableProperty>) end;

  JIntDefClass = interface(JObjectClass)
  ['{C44398AB-F5FA-4A2E-9F18-4AAB62C5ACA4}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/IntDef')]
  JIntDef = interface(IJavaInstance)
  ['{B73EB590-19B6-4C8F-9B88-A350D2F966D6}']
    { Property Methods }

    { methods }
    function value: TJavaArray<Integer>; cdecl; //()[I
    function flag: Boolean; cdecl; //()Z
    function open: Boolean; cdecl; //()Z

    { Property }
  end;

  TJIntDef = class(TJavaGenericImport<JIntDefClass, JIntDef>) end;

  JIntegerResClass = interface(JObjectClass)
  ['{3D93E031-173E-46EF-876F-5F6A44899B20}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/IntegerRes')]
  JIntegerRes = interface(IJavaInstance)
  ['{F5F193E5-C2C0-481F-9E75-E6A82FA879ED}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJIntegerRes = class(TJavaGenericImport<JIntegerResClass, JIntegerRes>) end;

  JInterpolatorResClass = interface(JObjectClass)
  ['{1C142D9E-28FD-4B8D-B07E-FC591B0E53A9}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/InterpolatorRes')]
  JInterpolatorRes = interface(IJavaInstance)
  ['{405219D2-1530-478C-A973-CF3D6CD30770}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJInterpolatorRes = class(TJavaGenericImport<JInterpolatorResClass, JInterpolatorRes>) end;

  JIntRangeClass = interface(JObjectClass)
  ['{DEAA5585-43E3-464A-A0C4-945D3FD6BC23}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/IntRange')]
  JIntRange = interface(IJavaInstance)
  ['{AC2E4670-4566-4AD7-835D-8C80F226FE63}']
    { Property Methods }

    { methods }
    function from: Int64; cdecl; //()J
    function &to: Int64; cdecl; //()J

    { Property }
  end;

  TJIntRange = class(TJavaGenericImport<JIntRangeClass, JIntRange>) end;

  JKeepClass = interface(JObjectClass)
  ['{997CBB70-FC53-4FE4-A01F-1E04C09EB00D}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/Keep')]
  JKeep = interface(IJavaInstance)
  ['{E4BE2738-9099-4778-8675-101FF31F5AE0}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJKeep = class(TJavaGenericImport<JKeepClass, JKeep>) end;

  JLayoutResClass = interface(JObjectClass)
  ['{B5D412AB-4029-48CA-AF21-7146DC4C23CE}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/LayoutRes')]
  JLayoutRes = interface(IJavaInstance)
  ['{8C52D9A3-029A-4463-B5FA-65F777FADE97}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJLayoutRes = class(TJavaGenericImport<JLayoutResClass, JLayoutRes>) end;

  JLongDefClass = interface(JObjectClass)
  ['{0A67E1F7-D06A-4F2A-B387-A047064792B7}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/LongDef')]
  JLongDef = interface(IJavaInstance)
  ['{CF19D302-BD53-4067-B68E-F1C124D1F45B}']
    { Property Methods }

    { methods }
    function value: TJavaArray<Int64>; cdecl; //()[J
    function flag: Boolean; cdecl; //()Z
    function open: Boolean; cdecl; //()Z

    { Property }
  end;

  TJLongDef = class(TJavaGenericImport<JLongDefClass, JLongDef>) end;

  JMainThreadClass = interface(JObjectClass)
  ['{261AF5C8-6DFE-4AD2-9479-A57DAB7D8659}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/MainThread')]
  JMainThread = interface(IJavaInstance)
  ['{DCBD6487-C042-4C82-9535-4C658032D25B}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJMainThread = class(TJavaGenericImport<JMainThreadClass, JMainThread>) end;

  JMenuResClass = interface(JObjectClass)
  ['{97545D08-5059-456A-99B0-89012E2FB587}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/MenuRes')]
  JMenuRes = interface(IJavaInstance)
  ['{B66489FD-5C5F-4365-BB49-51E6CEF671D5}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJMenuRes = class(TJavaGenericImport<JMenuResClass, JMenuRes>) end;

  JNavigationResClass = interface(JObjectClass)
  ['{9A1120BB-53D6-42F7-9638-3297B804A991}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/NavigationRes')]
  JNavigationRes = interface(IJavaInstance)
  ['{24078D8B-B060-4709-B2FA-641D89EDABAF}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJNavigationRes = class(TJavaGenericImport<JNavigationResClass, JNavigationRes>) end;

  JNonNullClass = interface(JObjectClass)
  ['{6C9B7609-FEF4-41BB-A60E-0D729FDE3652}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/NonNull')]
  JNonNull = interface(IJavaInstance)
  ['{B5B4F7CE-C0D4-4E70-AAB8-B1B41DA9A198}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJNonNull = class(TJavaGenericImport<JNonNullClass, JNonNull>) end;

  JNullableClass = interface(JObjectClass)
  ['{0D25EB85-33A8-4823-ABD1-D6F04573BF6E}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/Nullable')]
  JNullable = interface(IJavaInstance)
  ['{37ABDCC3-04B2-49F4-8C7E-5FC0BA431C7D}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJNullable = class(TJavaGenericImport<JNullableClass, JNullable>) end;

  JPluralsResClass = interface(JObjectClass)
  ['{604D7207-D9C3-4A51-91C7-56B7DD85032C}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/PluralsRes')]
  JPluralsRes = interface(IJavaInstance)
  ['{6B900464-BFC4-4742-997A-3B5E792BC982}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJPluralsRes = class(TJavaGenericImport<JPluralsResClass, JPluralsRes>) end;

//  JPxClass = interface(JObjectClass)
//  ['{DF138718-4196-450C-B0F9-55978C7A6858}']
//    { static Property Methods }
//
//    { static Methods }
//
//    { static Property }
//  end;

//  [JavaSignature('androidx/annotation/Px')]
//  JPx = interface(IJavaInstance)
//  ['{C26C0574-01B1-4845-9923-370DFBD402E9}']
//    { Property Methods }
//
//    { methods }
//
//    { Property }
//  end;

//  TJPx = class(TJavaGenericImport<JPxClass, JPx>) end;

  JRawResClass = interface(JObjectClass)
  ['{95EB10A6-4AAE-45C5-905A-E4CCABE77780}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/RawRes')]
  JRawRes = interface(IJavaInstance)
  ['{58243DB0-AA34-4A0D-9BA4-DF8D3B24C9DD}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJRawRes = class(TJavaGenericImport<JRawResClass, JRawRes>) end;

  JRequiresApiClass = interface(JObjectClass)
  ['{8FF8B25C-DB57-4957-BBFA-CCBAA09FCE7B}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/RequiresApi')]
  JRequiresApi = interface(IJavaInstance)
  ['{245C6476-50E2-49F9-AE1C-696EB4B55EBC}']
    { Property Methods }

    { methods }
    function value: Integer; cdecl; //()I
    function api: Integer; cdecl; //()I

    { Property }
  end;

  TJRequiresApi = class(TJavaGenericImport<JRequiresApiClass, JRequiresApi>) end;

  JRequiresFeatureClass = interface(JObjectClass)
  ['{B3610768-A0DA-48A3-B12C-6BA89DD7A077}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/RequiresFeature')]
  JRequiresFeature = interface(IJavaInstance)
  ['{85DCB6B5-2AD6-4C8B-83FC-9BDFA4E0E86A}']
    { Property Methods }

    { methods }
    function name: JString; cdecl; //()Ljava/lang/String;
    function enforcement: JString; cdecl; //()Ljava/lang/String;

    { Property }
  end;

  TJRequiresFeature = class(TJavaGenericImport<JRequiresFeatureClass, JRequiresFeature>) end;

  JRequiresPermission_ReadClass = interface(JObjectClass)
  ['{11B1329E-00A5-44C3-93E1-43023DE9D258}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/RequiresPermission$Read')]
  JRequiresPermission_Read = interface(IJavaInstance)
  ['{4E39C05B-6D66-4AFB-A5BB-064C37C02B35}']
    { Property Methods }

    { methods }
    function value: JRequiresPermission; cdecl; //()Landroidx/annotation/RequiresPermission;

    { Property }
  end;

  TJRequiresPermission_Read = class(TJavaGenericImport<JRequiresPermission_ReadClass, JRequiresPermission_Read>) end;

  JRequiresPermission_WriteClass = interface(JObjectClass)
  ['{3C426B23-171D-4487-AB91-76E06EA567D5}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/RequiresPermission$Write')]
  JRequiresPermission_Write = interface(IJavaInstance)
  ['{6E5A91D5-7E59-4F6E-9FDC-F394DF3DD2C3}']
    { Property Methods }

    { methods }
    function value: JRequiresPermission; cdecl; //()Landroidx/annotation/RequiresPermission;

    { Property }
  end;

  TJRequiresPermission_Write = class(TJavaGenericImport<JRequiresPermission_WriteClass, JRequiresPermission_Write>) end;

  JRequiresPermissionClass = interface(JObjectClass)
  ['{06C4B99E-BAE2-4817-A847-343F99594078}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/RequiresPermission')]
  JRequiresPermission = interface(IJavaInstance)
  ['{9BCC7ECA-2C87-46A4-8634-FF7337B0475F}']
    { Property Methods }

    { methods }
    function value: JString; cdecl; //()Ljava/lang/String;
    function allOf: TJavaObjectArray<JString>; cdecl; //()[Ljava/lang/String;
    function anyOf: TJavaObjectArray<JString>; cdecl; //()[Ljava/lang/String;
    function conditional: Boolean; cdecl; //()Z

    { Property }
  end;

  TJRequiresPermission = class(TJavaGenericImport<JRequiresPermissionClass, JRequiresPermission>) end;

  JRestrictTo_ScopeClass = interface(JEnumClass) // or JObjectClass // SuperSignature: java/lang/Enum
  ['{999AA3AA-D100-43C5-B044-57D57D8222D6}']
    { static Property Methods }
    {class} function _GetLIBRARY: JRestrictTo_Scope;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/RestrictTo$Scope;
    {class} function _GetLIBRARY_GROUP: JRestrictTo_Scope;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/RestrictTo$Scope;
    {class} function _GetLIBRARY_GROUP_PREFIX: JRestrictTo_Scope;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/RestrictTo$Scope;
    {class} function _GetGROUP_ID: JRestrictTo_Scope;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/RestrictTo$Scope;
    {class} function _GetTESTS: JRestrictTo_Scope;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/RestrictTo$Scope;
    {class} function _GetSUBCLASSES: JRestrictTo_Scope;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //Landroidx/annotation/RestrictTo$Scope;

    { static Methods }
    {class} function values: TJavaObjectArray<JRestrictTo_Scope>; cdecl; //()[Landroidx/annotation/RestrictTo$Scope;
    {class} function valueOf(name: JString): JRestrictTo_Scope; cdecl; //(Ljava/lang/String;)Landroidx/annotation/RestrictTo$Scope;

    { static Property }
    {class} property &LIBRARY: JRestrictTo_Scope read _GetLIBRARY;
    {class} property LIBRARY_GROUP: JRestrictTo_Scope read _GetLIBRARY_GROUP;
    {class} property LIBRARY_GROUP_PREFIX: JRestrictTo_Scope read _GetLIBRARY_GROUP_PREFIX;
    {class} property GROUP_ID: JRestrictTo_Scope read _GetGROUP_ID;
    {class} property TESTS: JRestrictTo_Scope read _GetTESTS;
    {class} property SUBCLASSES: JRestrictTo_Scope read _GetSUBCLASSES;
  end;

  [JavaSignature('androidx/annotation/RestrictTo$Scope')]
  JRestrictTo_Scope = interface(JEnum) // or JObject // SuperSignature: java/lang/Enum
  ['{E8BD51EC-9C2E-4F7B-8D1F-D6E2E6E603FB}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJRestrictTo_Scope = class(TJavaGenericImport<JRestrictTo_ScopeClass, JRestrictTo_Scope>) end;

  JRestrictToClass = interface(JObjectClass)
  ['{6D00524C-3C82-4549-9BDC-54EA1A702D68}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/RestrictTo')]
  JRestrictTo = interface(IJavaInstance)
  ['{C2B20ED6-5A1E-4791-9534-49E5609B677B}']
    { Property Methods }

    { methods }
    function value: TJavaObjectArray<JRestrictTo_Scope>; cdecl; //()[Landroidx/annotation/RestrictTo$Scope;

    { Property }
  end;

  TJRestrictTo = class(TJavaGenericImport<JRestrictToClass, JRestrictTo>) end;

  JSizeClass = interface(JObjectClass)
  ['{D093DD8E-4FEF-49BE-935E-13B0652CAEEA}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/Size')]
  JSize = interface(IJavaInstance)
  ['{E19C39C9-2388-462A-AF83-B353C32B44BF}']
    { Property Methods }

    { methods }
    function value: Int64; cdecl; //()J
    function min: Int64; cdecl; //()J
    function max: Int64; cdecl; //()J
    function multiple: Int64; cdecl; //()J

    { Property }
  end;

  TJSize = class(TJavaGenericImport<JSizeClass, JSize>) end;

  JStringDefClass = interface(JObjectClass)
  ['{C0FAD4D1-A8C2-4E9C-A120-628F7B175A74}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/StringDef')]
  JStringDef = interface(IJavaInstance)
  ['{8EC14A99-1281-410F-8E9F-A9CBCD90AD12}']
    { Property Methods }

    { methods }
    function value: TJavaObjectArray<JString>; cdecl; //()[Ljava/lang/String;
    function open: Boolean; cdecl; //()Z

    { Property }
  end;

  TJStringDef = class(TJavaGenericImport<JStringDefClass, JStringDef>) end;

  JStringResClass = interface(JObjectClass)
  ['{C29C02EC-1ABB-45AF-8699-AA692F14031F}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/StringRes')]
  JStringRes = interface(IJavaInstance)
  ['{82F8048C-F455-4735-B3ED-D5B1915D4DDC}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJStringRes = class(TJavaGenericImport<JStringResClass, JStringRes>) end;

  JStyleableResClass = interface(JObjectClass)
  ['{AC9399F1-51AC-4EF9-9487-D2168CE5D06B}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/StyleableRes')]
  JStyleableRes = interface(IJavaInstance)
  ['{BFDFCDAB-F1E1-4857-BCC4-111DE1D00EAD}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJStyleableRes = class(TJavaGenericImport<JStyleableResClass, JStyleableRes>) end;

  JStyleResClass = interface(JObjectClass)
  ['{7FD97C6B-98B9-42FE-83AC-DE9FD3B332D5}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/StyleRes')]
  JStyleRes = interface(IJavaInstance)
  ['{1A0FADCF-3A7C-416B-87E2-D13CB867EC89}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJStyleRes = class(TJavaGenericImport<JStyleResClass, JStyleRes>) end;

  JTransitionResClass = interface(JObjectClass)
  ['{5B518867-6056-470E-968E-452932C4DAC8}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/TransitionRes')]
  JTransitionRes = interface(IJavaInstance)
  ['{A29B146A-38E4-426F-9B57-9E8BB01DC0C2}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJTransitionRes = class(TJavaGenericImport<JTransitionResClass, JTransitionRes>) end;

  JUiThreadClass = interface(JObjectClass)
  ['{4A027B5D-7316-4528-B023-D58F6F4FC855}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/UiThread')]
  JUiThread = interface(IJavaInstance)
  ['{C56873A4-ECB6-419B-9807-785A3E03F926}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJUiThread = class(TJavaGenericImport<JUiThreadClass, JUiThread>) end;

  JVisibleForTestingClass = interface(JObjectClass)
  ['{F1F59858-E36D-498F-B61A-BAA50CEF3079}']
    { static Property Methods }
    {class} function _GetPRIVATE: Integer;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //I
    {class} function _GetPACKAGE_PRIVATE: Integer;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //I
    {class} function _GetPROTECTED: Integer;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //I
    {class} function _GetNONE: Integer;{$IF CompilerVersion >= 29.0} cdecl; {>=XE8}{$IFEND} //I

    { static Methods }

    { static Property }
    {class} property &PRIVATE: Integer read _GetPRIVATE;
    {class} property PACKAGE_PRIVATE: Integer read _GetPACKAGE_PRIVATE;
    {class} property &PROTECTED: Integer read _GetPROTECTED;
    {class} property NONE: Integer read _GetNONE;
  end;

  [JavaSignature('androidx/annotation/VisibleForTesting')]
  JVisibleForTesting = interface(IJavaInstance)
  ['{B2BF83F2-E960-48B8-BC88-D1209C1B48D2}']
    { Property Methods }

    { methods }
    function otherwise: Integer; cdecl; //()I

    { Property }
  end;

  TJVisibleForTesting = class(TJavaGenericImport<JVisibleForTestingClass, JVisibleForTesting>) end;

  JWorkerThreadClass = interface(JObjectClass)
  ['{42996EE9-4D82-4C64-92E3-CB05D1703E86}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/WorkerThread')]
  JWorkerThread = interface(IJavaInstance)
  ['{72EB6485-11B5-4ABC-8816-4DA10D2BB216}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJWorkerThread = class(TJavaGenericImport<JWorkerThreadClass, JWorkerThread>) end;

  JXmlResClass = interface(JObjectClass)
  ['{E13AD4C5-9A38-43E3-856C-027CC87FFA5A}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/annotation/XmlRes')]
  JXmlRes = interface(IJavaInstance)
  ['{A931D922-C49A-42F0-B151-9EACAB44CE8E}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJXmlRes = class(TJavaGenericImport<JXmlResClass, JXmlRes>) end;

  JDocumentFileClass = interface(JObjectClass)
  ['{6B94140D-975B-4ECB-9A34-F1E81621BF7B}']
    { static Property Methods }

    { static Methods }
    {class} function fromFile(afile: JFile): JDocumentFile; cdecl; //(Ljava/io/File;)Landroidx/documentfile/provider/DocumentFile;
    {class} function fromSingleUri(context: JContext; singleUri: Jnet_Uri): JDocumentFile; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Landroidx/documentfile/provider/DocumentFile;
    {class} function fromTreeUri(context: JContext; treeUri: Jnet_Uri): JDocumentFile; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Landroidx/documentfile/provider/DocumentFile;
    {class} function isDocumentUri(context: JContext; uri: Jnet_Uri): Boolean; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Z

    { static Property }
  end;

  [JavaSignature('androidx/documentfile/provider/DocumentFile')]
  JDocumentFile = interface(JObject)
  ['{29B4D07F-9951-4F44-9A3F-2AEE5CAD6292}']
    { Property Methods }

    { methods }
    function createFile(P1: JString; P2: JString): JDocumentFile; cdecl; //(Ljava/lang/String;Ljava/lang/String;)Landroidx/documentfile/provider/DocumentFile;
    function createDirectory(P1: JString): JDocumentFile; cdecl; //(Ljava/lang/String;)Landroidx/documentfile/provider/DocumentFile;
    function getUri: Jnet_Uri; cdecl; //()Landroid/net/Uri;
    function getName: JString; cdecl; //()Ljava/lang/String;
    function getType: JString; cdecl; //()Ljava/lang/String;
    function getParentFile: JDocumentFile; cdecl; //()Landroidx/documentfile/provider/DocumentFile;
    function isDirectory: Boolean; cdecl; //()Z
    function isFile: Boolean; cdecl; //()Z
    function isVirtual: Boolean; cdecl; //()Z
    function lastModified: Int64; cdecl; //()J
    function length: Int64; cdecl; //()J
    function canRead: Boolean; cdecl; //()Z
    function canWrite: Boolean; cdecl; //()Z
    function delete: Boolean; cdecl; //()Z
    function exists: Boolean; cdecl; //()Z
    function listFiles: TJavaObjectArray<JDocumentFile>; cdecl; //()[Landroidx/documentfile/provider/DocumentFile;
    function findFile(displayName: JString): JDocumentFile; cdecl; //(Ljava/lang/String;)Landroidx/documentfile/provider/DocumentFile;
    function renameTo(P1: JString): Boolean; cdecl; //(Ljava/lang/String;)Z

    { Property }
  end;

  TJDocumentFile = class(TJavaGenericImport<JDocumentFileClass, JDocumentFile>) end;

  JDocumentsContractApi19Class = interface(JObjectClass)
  ['{CF1E1D37-6205-4C68-B4A9-A565333C665A}']
    { static Property Methods }

    { static Methods }
    {class} function isVirtual(context: JContext; self: Jnet_Uri): Boolean; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Z
    {class} function getName(context: JContext; self: Jnet_Uri): JString; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Ljava/lang/String;
    {class} function getType(context: JContext; self: Jnet_Uri): JString; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Ljava/lang/String;
    {class} function getFlags(context: JContext; self: Jnet_Uri): Int64; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)J
    {class} function isDirectory(context: JContext; self: Jnet_Uri): Boolean; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Z
    {class} function isFile(context: JContext; self: Jnet_Uri): Boolean; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Z
    {class} function lastModified(context: JContext; self: Jnet_Uri): Int64; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)J
    {class} function length(context: JContext; self: Jnet_Uri): Int64; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)J
    {class} function canRead(context: JContext; self: Jnet_Uri): Boolean; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Z
    {class} function canWrite(context: JContext; self: Jnet_Uri): Boolean; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Z
    {class} function exists(context: JContext; self: Jnet_Uri): Boolean; cdecl; //(Landroid/content/Context;Landroid/net/Uri;)Z

    { static Property }
  end;

  [JavaSignature('androidx/documentfile/provider/DocumentsContractApi19')]
  JDocumentsContractApi19 = interface(JObject)
  ['{4535C663-8116-4205-AA47-7EE11584646D}']
    { Property Methods }

    { methods }

    { Property }
  end;

  TJDocumentsContractApi19 = class(TJavaGenericImport<JDocumentsContractApi19Class, JDocumentsContractApi19>) end;

  JRawDocumentFileClass = interface(JDocumentFileClass) // or JObjectClass // SuperSignature: androidx/documentfile/provider/DocumentFile
  ['{03D4A514-A895-4F97-829C-8CB142062BC6}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/documentfile/provider/RawDocumentFile')]
  JRawDocumentFile = interface(JDocumentFile) // or JObject // SuperSignature: androidx/documentfile/provider/DocumentFile
  ['{1817AF6C-5872-4872-A4C3-12CFD6603830}']
    { Property Methods }

    { methods }
    function createFile(mimeType: JString; displayName: JString): JDocumentFile; cdecl; //(Ljava/lang/String;Ljava/lang/String;)Landroidx/documentfile/provider/DocumentFile;
    function createDirectory(displayName: JString): JDocumentFile; cdecl; //(Ljava/lang/String;)Landroidx/documentfile/provider/DocumentFile;
    function getUri: Jnet_Uri; cdecl; //()Landroid/net/Uri;
    function getName: JString; cdecl; //()Ljava/lang/String;
    function getType: JString; cdecl; //()Ljava/lang/String;
    function isDirectory: Boolean; cdecl; //()Z
    function isFile: Boolean; cdecl; //()Z
    function isVirtual: Boolean; cdecl; //()Z
    function lastModified: Int64; cdecl; //()J
    function length: Int64; cdecl; //()J
    function canRead: Boolean; cdecl; //()Z
    function canWrite: Boolean; cdecl; //()Z
    function delete: Boolean; cdecl; //()Z
    function exists: Boolean; cdecl; //()Z
    function listFiles: TJavaObjectArray<JDocumentFile>; cdecl; //()[Landroidx/documentfile/provider/DocumentFile;
    function renameTo(displayName: JString): Boolean; cdecl; //(Ljava/lang/String;)Z

    { Property }
  end;

  TJRawDocumentFile = class(TJavaGenericImport<JRawDocumentFileClass, JRawDocumentFile>) end;

  JSingleDocumentFileClass = interface(JDocumentFileClass) // or JObjectClass // SuperSignature: androidx/documentfile/provider/DocumentFile
  ['{4B3014D9-3D52-4CC2-8A9B-02C5107A0529}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/documentfile/provider/SingleDocumentFile')]
  JSingleDocumentFile = interface(JDocumentFile) // or JObject // SuperSignature: androidx/documentfile/provider/DocumentFile
  ['{B97F4E11-08D8-4361-8D1F-93B965D6EABA}']
    { Property Methods }

    { methods }
    function createFile(mimeType: JString; displayName: JString): JDocumentFile; cdecl; //(Ljava/lang/String;Ljava/lang/String;)Landroidx/documentfile/provider/DocumentFile;
    function createDirectory(displayName: JString): JDocumentFile; cdecl; //(Ljava/lang/String;)Landroidx/documentfile/provider/DocumentFile;
    function getUri: Jnet_Uri; cdecl; //()Landroid/net/Uri;
    function getName: JString; cdecl; //()Ljava/lang/String;
    function getType: JString; cdecl; //()Ljava/lang/String;
    function isDirectory: Boolean; cdecl; //()Z
    function isFile: Boolean; cdecl; //()Z
    function isVirtual: Boolean; cdecl; //()Z
    function lastModified: Int64; cdecl; //()J
    function length: Int64; cdecl; //()J
    function canRead: Boolean; cdecl; //()Z
    function canWrite: Boolean; cdecl; //()Z
    function delete: Boolean; cdecl; //()Z
    function exists: Boolean; cdecl; //()Z
    function listFiles: TJavaObjectArray<JDocumentFile>; cdecl; //()[Landroidx/documentfile/provider/DocumentFile;
    function renameTo(displayName: JString): Boolean; cdecl; //(Ljava/lang/String;)Z

    { Property }
  end;

  TJSingleDocumentFile = class(TJavaGenericImport<JSingleDocumentFileClass, JSingleDocumentFile>) end;

  JTreeDocumentFileClass = interface(JDocumentFileClass) // or JObjectClass // SuperSignature: androidx/documentfile/provider/DocumentFile
  ['{B9788734-3066-40AB-87BD-8B072D1AAB50}']
    { static Property Methods }

    { static Methods }

    { static Property }
  end;

  [JavaSignature('androidx/documentfile/provider/TreeDocumentFile')]
  JTreeDocumentFile = interface(JDocumentFile) // or JObject // SuperSignature: androidx/documentfile/provider/DocumentFile
  ['{1F1F0620-5901-47C5-990E-2138A54AC13F}']
    { Property Methods }

    { methods }
    function createFile(mimeType: JString; displayName: JString): JDocumentFile; cdecl; //(Ljava/lang/String;Ljava/lang/String;)Landroidx/documentfile/provider/DocumentFile;
    function createDirectory(displayName: JString): JDocumentFile; cdecl; //(Ljava/lang/String;)Landroidx/documentfile/provider/DocumentFile;
    function getUri: Jnet_Uri; cdecl; //()Landroid/net/Uri;
    function getName: JString; cdecl; //()Ljava/lang/String;
    function getType: JString; cdecl; //()Ljava/lang/String;
    function isDirectory: Boolean; cdecl; //()Z
    function isFile: Boolean; cdecl; //()Z
    function isVirtual: Boolean; cdecl; //()Z
    function lastModified: Int64; cdecl; //()J
    function length: Int64; cdecl; //()J
    function canRead: Boolean; cdecl; //()Z
    function canWrite: Boolean; cdecl; //()Z
    function delete: Boolean; cdecl; //()Z
    function exists: Boolean; cdecl; //()Z
    function listFiles: TJavaObjectArray<JDocumentFile>; cdecl; //()[Landroidx/documentfile/provider/DocumentFile;
    function renameTo(displayName: JString): Boolean; cdecl; //(Ljava/lang/String;)Z

    { Property }
  end;

  TJTreeDocumentFile = class(TJavaGenericImport<JTreeDocumentFileClass, JTreeDocumentFile>) end;

implementation

procedure RegisterTypes;
begin
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JAnimatorRes', 
    TypeInfo(Androidapi.JNI.androidx.JAnimatorRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JAnimRes', 
    TypeInfo(Androidapi.JNI.androidx.JAnimRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JAnyRes', 
    TypeInfo(Androidapi.JNI.androidx.JAnyRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JAnyThread', 
    TypeInfo(Androidapi.JNI.androidx.JAnyThread));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JArrayRes', 
    TypeInfo(Androidapi.JNI.androidx.JArrayRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JAttrRes', 
    TypeInfo(Androidapi.JNI.androidx.JAttrRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JBinderThread', 
    TypeInfo(Androidapi.JNI.androidx.JBinderThread));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JBoolRes', 
    TypeInfo(Androidapi.JNI.androidx.JBoolRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JCallSuper', 
    TypeInfo(Androidapi.JNI.androidx.JCallSuper));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JCheckResult', 
    TypeInfo(Androidapi.JNI.androidx.JCheckResult));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JColorInt', 
    TypeInfo(Androidapi.JNI.androidx.JColorInt));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JColorLong', 
    TypeInfo(Androidapi.JNI.androidx.JColorLong));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JColorRes', 
    TypeInfo(Androidapi.JNI.androidx.JColorRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JContentView', 
    TypeInfo(Androidapi.JNI.androidx.JContentView));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JDimenRes', 
    TypeInfo(Androidapi.JNI.androidx.JDimenRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JDimension', 
    TypeInfo(Androidapi.JNI.androidx.JDimension));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JDrawableRes', 
    TypeInfo(Androidapi.JNI.androidx.JDrawableRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JFloatRange', 
    TypeInfo(Androidapi.JNI.androidx.JFloatRange));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JFontRes', 
    TypeInfo(Androidapi.JNI.androidx.JFontRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JFractionRes', 
    TypeInfo(Androidapi.JNI.androidx.JFractionRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JGuardedBy', 
    TypeInfo(Androidapi.JNI.androidx.JGuardedBy));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JHalfFloat', 
    TypeInfo(Androidapi.JNI.androidx.JHalfFloat));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JIdRes', 
    TypeInfo(Androidapi.JNI.androidx.JIdRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JInspectableProperty_EnumEntry', 
    TypeInfo(Androidapi.JNI.androidx.JInspectableProperty_EnumEntry));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JInspectableProperty_FlagEntry', 
    TypeInfo(Androidapi.JNI.androidx.JInspectableProperty_FlagEntry));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JInspectableProperty_ValueType', 
    TypeInfo(Androidapi.JNI.androidx.JInspectableProperty_ValueType));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JInspectableProperty', 
    TypeInfo(Androidapi.JNI.androidx.JInspectableProperty));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JIntDef', 
    TypeInfo(Androidapi.JNI.androidx.JIntDef));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JIntegerRes', 
    TypeInfo(Androidapi.JNI.androidx.JIntegerRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JInterpolatorRes', 
    TypeInfo(Androidapi.JNI.androidx.JInterpolatorRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JIntRange', 
    TypeInfo(Androidapi.JNI.androidx.JIntRange));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JKeep', 
    TypeInfo(Androidapi.JNI.androidx.JKeep));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JLayoutRes', 
    TypeInfo(Androidapi.JNI.androidx.JLayoutRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JLongDef', 
    TypeInfo(Androidapi.JNI.androidx.JLongDef));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JMainThread', 
    TypeInfo(Androidapi.JNI.androidx.JMainThread));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JMenuRes', 
    TypeInfo(Androidapi.JNI.androidx.JMenuRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JNavigationRes', 
    TypeInfo(Androidapi.JNI.androidx.JNavigationRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JNonNull', 
    TypeInfo(Androidapi.JNI.androidx.JNonNull));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JNullable', 
    TypeInfo(Androidapi.JNI.androidx.JNullable));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JPluralsRes', 
    TypeInfo(Androidapi.JNI.androidx.JPluralsRes));
//  TRegTypes.RegisterType('Androidapi.JNI.androidx.JPx', 
//    TypeInfo(Androidapi.JNI.androidx.JPx));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JRawRes', 
    TypeInfo(Androidapi.JNI.androidx.JRawRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JRequiresApi', 
    TypeInfo(Androidapi.JNI.androidx.JRequiresApi));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JRequiresFeature', 
    TypeInfo(Androidapi.JNI.androidx.JRequiresFeature));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JRequiresPermission_Read', 
    TypeInfo(Androidapi.JNI.androidx.JRequiresPermission_Read));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JRequiresPermission_Write', 
    TypeInfo(Androidapi.JNI.androidx.JRequiresPermission_Write));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JRequiresPermission', 
    TypeInfo(Androidapi.JNI.androidx.JRequiresPermission));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JRestrictTo_Scope', 
    TypeInfo(Androidapi.JNI.androidx.JRestrictTo_Scope));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JRestrictTo', 
    TypeInfo(Androidapi.JNI.androidx.JRestrictTo));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JSize', 
    TypeInfo(Androidapi.JNI.androidx.JSize));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JStringDef', 
    TypeInfo(Androidapi.JNI.androidx.JStringDef));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JStringRes', 
    TypeInfo(Androidapi.JNI.androidx.JStringRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JStyleableRes', 
    TypeInfo(Androidapi.JNI.androidx.JStyleableRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JStyleRes', 
    TypeInfo(Androidapi.JNI.androidx.JStyleRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JTransitionRes', 
    TypeInfo(Androidapi.JNI.androidx.JTransitionRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JUiThread', 
    TypeInfo(Androidapi.JNI.androidx.JUiThread));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JVisibleForTesting', 
    TypeInfo(Androidapi.JNI.androidx.JVisibleForTesting));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JWorkerThread', 
    TypeInfo(Androidapi.JNI.androidx.JWorkerThread));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JXmlRes', 
    TypeInfo(Androidapi.JNI.androidx.JXmlRes));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JDocumentFile', 
    TypeInfo(Androidapi.JNI.androidx.JDocumentFile));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JDocumentsContractApi19', 
    TypeInfo(Androidapi.JNI.androidx.JDocumentsContractApi19));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JRawDocumentFile', 
    TypeInfo(Androidapi.JNI.androidx.JRawDocumentFile));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JSingleDocumentFile', 
    TypeInfo(Androidapi.JNI.androidx.JSingleDocumentFile));
  TRegTypes.RegisterType('Androidapi.JNI.androidx.JTreeDocumentFile', 
    TypeInfo(Androidapi.JNI.androidx.JTreeDocumentFile));
end;


initialization
  RegisterTypes;

end.
